export declare const root: {
    element: string;
    type: string;
};
export declare const ns: Map<string, string>;
export declare const subs: {
    "": {
        Context: string;
        FunctionDefinition: string;
        Relation: string;
        List: string;
        LiteralExpression: string;
        Invocation: string;
        DecisionTable: string;
        Decision: string;
        BusinessKnowledgeModel: string;
        InputData: string;
        KnowledgeSource: string;
        PerformanceIndicator: string;
        OrganizationUnit: string;
    };
};
export declare const elements: {
    Context: string;
    FunctionDefinition: string;
    Relation: string;
    List: string;
    DMNElement: string;
    Definitions: string;
    Import: string;
    ElementCollection: string;
    DRGElement: string;
    Decision: string;
    BusinessContextElement: string;
    PerformanceIndicator: string;
    OrganizationUnit: string;
    BusinessKnowledgeModel: string;
    InputData: string;
    KnowledgeSource: string;
    Expression: string;
    ItemDefinition: string;
    LiteralExpression: string;
    Invocation: string;
    InformationItem: string;
    DecisionTable: string;
};
export declare const meta: {
    dmn3__tContext: {
        contextEntry: {
            type: string;
            isArray: boolean;
        };
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tContextEntry: {
        InformationItem: {
            type: string;
            isArray: boolean;
        };
        Expression: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tFunctionDefinition: {
        InformationItem: {
            type: string;
            isArray: boolean;
        };
        Expression: {
            type: string;
            isArray: boolean;
        };
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tRelation: {
        column: {
            type: string;
            isArray: boolean;
        };
        List: {
            type: string;
            isArray: boolean;
        };
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tList: {
        Expression: {
            type: string;
            isArray: boolean;
        };
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tDMNElement: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tNamedDMNElement: {};
    dmn3__tDMNElementReference: {
        "@_href": {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tDefinitions: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        Import: {
            type: string;
            isArray: boolean;
        };
        ItemDefinition: {
            type: string;
            isArray: boolean;
        };
        DRGElement: {
            type: string;
            isArray: boolean;
        };
        ElementCollection: {
            type: string;
            isArray: boolean;
        };
        BusinessContextElement: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tImport: {
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        "@_importType": {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tElementCollection: {
        drgElement: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tDRGElement: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tDecision: {
        question: {
            type: string;
            isArray: boolean;
        };
        allowedAnswers: {
            type: string;
            isArray: boolean;
        };
        outputDefinition: {
            type: string;
            isArray: boolean;
        };
        informationRequirement: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        supportedObjective: {
            type: string;
            isArray: boolean;
        };
        impactedPerformanceIndicator: {
            type: string;
            isArray: boolean;
        };
        decisionMaker: {
            type: string;
            isArray: boolean;
        };
        decisionOwner: {
            type: string;
            isArray: boolean;
        };
        usingProcess: {
            type: string;
            isArray: boolean;
        };
        usingTask: {
            type: string;
            isArray: boolean;
        };
        Expression: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tBusinessContextElement: {
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tPerformanceIndicator: {
        impactingDecision: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tOrganizationUnit: {
        decisionMade: {
            type: string;
            isArray: boolean;
        };
        decisionOwned: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tBusinessKnowledgeModel: {
        InformationItem: {
            type: string;
            isArray: boolean;
        };
        Expression: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tInputData: {
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tKnowledgeSource: {
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        type: {
            type: string;
            isArray: boolean;
        };
        owner: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tInformationRequirement: {
        InformationItem: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tKnowledgeRequirement: {
        requiredKnowledge: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tAuthorityRequirement: {};
    dmn3__tExpression: {
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tItemDefinition: {
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_isCollection": {
            type: string;
            isArray: boolean;
        };
        itemComponent: {
            type: string;
            isArray: boolean;
        };
        allowedValue: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tItemComponent: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tLiteralExpression__text: {};
    dmn3__tLiteralExpression: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        Import: {
            type: string;
            isArray: boolean;
        };
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tInvocation: {
        binding: {
            type: string;
            isArray: boolean;
        };
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tBinding: {
        Expression: {
            type: string;
            isArray: boolean;
        };
        parameter: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tInformationItem: {
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tDecisionTable: {
        "@_hitPolicy": {
            type: string;
            isArray: boolean;
        };
        "@_aggregation": {
            type: string;
            isArray: boolean;
        };
        "@_preferedOrientation": {
            type: string;
            isArray: boolean;
        };
        "@_isComplete": {
            type: string;
            isArray: boolean;
        };
        "@_isConsistent": {
            type: string;
            isArray: boolean;
        };
        clause: {
            type: string;
            isArray: boolean;
        };
        rule: {
            type: string;
            isArray: boolean;
        };
        inputVariable: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tClause: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_isOrdered": {
            type: string;
            isArray: boolean;
        };
    };
    dmn3__tDecisionRule: {
        condition: {
            type: string;
            isArray: boolean;
        };
        conclusion: {
            type: string;
            isArray: boolean;
        };
    };
};
//# sourceMappingURL=meta.d.ts.map