import { XmlParserTsRootElementBaseType } from "@kie-tools/xml-parser-ts";
export declare type dmn3__DecisionTableOrientation = 'Rule-as-Row' | 'Rule-as-Column' | 'CrossTable';
export declare type dmn3__HitPolicy = 'UNIQUE' | 'FIRST' | 'PRIORITY' | 'ANY' | 'COLLECT' | 'RULE ORDER' | 'OUTPUT ORDER';
export declare type dmn3__BuiltinAggregator = 'SUM' | 'COUNT' | 'MIN' | 'MAX';
export interface dmn3__tContext {
    __?: undefined;
    "contextEntry"?: dmn3__tContextEntry[];
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export declare type dmn3__tContextEntry = {
    "InformationItem"?: dmn3__tInformationItem;
    "Expression": (({
        __$$element: "Context";
    } & dmn3__tContext) | ({
        __$$element: "FunctionDefinition";
    } & dmn3__tFunctionDefinition) | ({
        __$$element: "Relation";
    } & dmn3__tRelation) | ({
        __$$element: "List";
    } & dmn3__tList) | ({
        __$$element: "LiteralExpression";
    } & dmn3__tLiteralExpression) | ({
        __$$element: "Invocation";
    } & dmn3__tInvocation) | ({
        __$$element: "DecisionTable";
    } & dmn3__tDecisionTable));
};
export interface dmn3__tFunctionDefinition {
    __?: undefined;
    "InformationItem"?: dmn3__tInformationItem[];
    "Expression"?: (({
        __$$element: "Context";
    } & dmn3__tContext) | ({
        __$$element: "FunctionDefinition";
    } & dmn3__tFunctionDefinition) | ({
        __$$element: "Relation";
    } & dmn3__tRelation) | ({
        __$$element: "List";
    } & dmn3__tList) | ({
        __$$element: "LiteralExpression";
    } & dmn3__tLiteralExpression) | ({
        __$$element: "Invocation";
    } & dmn3__tInvocation) | ({
        __$$element: "DecisionTable";
    } & dmn3__tDecisionTable));
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tRelation {
    __?: undefined;
    "column"?: dmn3__tContextEntry[];
    "List"?: dmn3__tList[];
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tList {
    __?: undefined;
    "Expression"?: (({
        __$$element: "Context";
    } & dmn3__tContext) | ({
        __$$element: "FunctionDefinition";
    } & dmn3__tFunctionDefinition) | ({
        __$$element: "Relation";
    } & dmn3__tRelation) | ({
        __$$element: "List";
    } & dmn3__tList) | ({
        __$$element: "LiteralExpression";
    } & dmn3__tLiteralExpression) | ({
        __$$element: "Invocation";
    } & dmn3__tInvocation) | ({
        __$$element: "DecisionTable";
    } & dmn3__tDecisionTable))[];
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tDMNElement {
    __?: undefined;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export declare type dmn3__tNamedDMNElement = {};
export declare type dmn3__tDMNElementReference = {
    "@_href": string;
};
export interface dmn3__tDefinitions extends XmlParserTsRootElementBaseType {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "@_typeLanguage"?: string;
    "@_namespace": string;
    "Import"?: dmn3__tImport[];
    "ItemDefinition"?: dmn3__tItemDefinition[];
    "DRGElement"?: (({
        __$$element: "Decision";
    } & dmn3__tDecision) | ({
        __$$element: "BusinessKnowledgeModel";
    } & dmn3__tBusinessKnowledgeModel) | ({
        __$$element: "InputData";
    } & dmn3__tInputData) | ({
        __$$element: "KnowledgeSource";
    } & dmn3__tKnowledgeSource))[];
    "ElementCollection"?: dmn3__tElementCollection[];
    "BusinessContextElement"?: (({
        __$$element: "PerformanceIndicator";
    } & dmn3__tPerformanceIndicator) | ({
        __$$element: "OrganizationUnit";
    } & dmn3__tOrganizationUnit))[];
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export declare type dmn3__tImport = {
    "@_namespace": string;
    "@_locationURI"?: string;
    "@_importType": string;
};
export interface dmn3__tElementCollection {
    __?: undefined;
    "drgElement"?: dmn3__tDMNElementReference[];
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tDRGElement {
    __?: undefined;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tDecision {
    __?: undefined;
    "question"?: string;
    "allowedAnswers"?: string;
    "outputDefinition"?: dmn3__tDMNElementReference;
    "informationRequirement"?: dmn3__tInformationRequirement[];
    "knowledgeRequirement"?: dmn3__tKnowledgeRequirement[];
    "authorityRequirement"?: dmn3__tAuthorityRequirement[];
    "supportedObjective"?: dmn3__tDMNElementReference[];
    "impactedPerformanceIndicator"?: dmn3__tDMNElementReference[];
    "decisionMaker"?: dmn3__tDMNElementReference[];
    "decisionOwner"?: dmn3__tDMNElementReference[];
    "usingProcess"?: dmn3__tDMNElementReference[];
    "usingTask"?: dmn3__tDMNElementReference[];
    "Expression"?: (({
        __$$element: "Context";
    } & dmn3__tContext) | ({
        __$$element: "FunctionDefinition";
    } & dmn3__tFunctionDefinition) | ({
        __$$element: "Relation";
    } & dmn3__tRelation) | ({
        __$$element: "List";
    } & dmn3__tList) | ({
        __$$element: "LiteralExpression";
    } & dmn3__tLiteralExpression) | ({
        __$$element: "Invocation";
    } & dmn3__tInvocation) | ({
        __$$element: "DecisionTable";
    } & dmn3__tDecisionTable));
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tBusinessContextElement {
    __?: undefined;
    "@_URI"?: string;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tPerformanceIndicator {
    __?: undefined;
    "impactingDecision"?: dmn3__tDMNElementReference[];
    "@_URI"?: string;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tOrganizationUnit {
    __?: undefined;
    "decisionMade"?: dmn3__tDMNElementReference[];
    "decisionOwned"?: dmn3__tDMNElementReference[];
    "@_URI"?: string;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tBusinessKnowledgeModel {
    __?: undefined;
    "InformationItem"?: dmn3__tInformationItem[];
    "Expression"?: (({
        __$$element: "Context";
    } & dmn3__tContext) | ({
        __$$element: "FunctionDefinition";
    } & dmn3__tFunctionDefinition) | ({
        __$$element: "Relation";
    } & dmn3__tRelation) | ({
        __$$element: "List";
    } & dmn3__tList) | ({
        __$$element: "LiteralExpression";
    } & dmn3__tLiteralExpression) | ({
        __$$element: "Invocation";
    } & dmn3__tInvocation) | ({
        __$$element: "DecisionTable";
    } & dmn3__tDecisionTable));
    "knowledgeRequirement"?: dmn3__tKnowledgeRequirement[];
    "authorityRequirement"?: dmn3__tAuthorityRequirement[];
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tInputData {
    __?: undefined;
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tKnowledgeSource {
    __?: undefined;
    "@_locationURI"?: string;
    "authorityRequirement"?: dmn3__tAuthorityRequirement[];
    "type"?: string;
    "owner"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export declare type dmn3__tInformationRequirement = {
    "InformationItem"?: dmn3__tInformationItem;
};
export declare type dmn3__tKnowledgeRequirement = {
    "requiredKnowledge": dmn3__tDMNElementReference;
};
export declare type dmn3__tAuthorityRequirement = {};
export interface dmn3__tExpression {
    __?: undefined;
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tItemDefinition {
    __?: undefined;
    "@_typeLanguage"?: string;
    "@_isCollection"?: boolean;
    "itemComponent"?: dmn3__tItemComponent[];
    "allowedValue"?: dmn3__tExpression[];
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export declare type dmn3__tItemComponent = {
    "@_name": string;
    "itemDefinition": dmn3__tDMNElementReference;
};
export interface dmn3__tLiteralExpression {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "text"?: dmn3__tLiteralExpression__text;
    "Import"?: dmn3__tImport;
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export interface dmn3__tLiteralExpression__text {
    __?: undefined;
}
export interface dmn3__tInvocation {
    __?: undefined;
    "binding"?: dmn3__tBinding[];
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export declare type dmn3__tBinding = {
    "Expression"?: (({
        __$$element: "Context";
    } & dmn3__tContext) | ({
        __$$element: "FunctionDefinition";
    } & dmn3__tFunctionDefinition) | ({
        __$$element: "Relation";
    } & dmn3__tRelation) | ({
        __$$element: "List";
    } & dmn3__tList) | ({
        __$$element: "LiteralExpression";
    } & dmn3__tLiteralExpression) | ({
        __$$element: "Invocation";
    } & dmn3__tInvocation) | ({
        __$$element: "DecisionTable";
    } & dmn3__tDecisionTable));
    "parameter": dmn3__tDMNElementReference;
};
export declare type dmn3__tInformationItem = {
    "itemDefinition"?: dmn3__tDMNElementReference;
};
export interface dmn3__tDecisionTable {
    __?: undefined;
    "@_hitPolicy"?: dmn3__HitPolicy;
    "@_aggregation"?: dmn3__BuiltinAggregator;
    "@_preferedOrientation"?: dmn3__DecisionTableOrientation;
    "@_isComplete"?: boolean;
    "@_isConsistent"?: boolean;
    "clause"?: dmn3__tClause[];
    "rule"?: dmn3__tDecisionRule[];
    "inputVariable"?: string[];
    "itemDefinition"?: dmn3__tDMNElementReference;
    "@_id": string;
    "@_name"?: string;
    "description"?: string;
}
export declare type dmn3__tClause = {
    "@_name"?: string;
    "@_isOrdered"?: boolean;
};
export declare type dmn3__tDecisionRule = {
    "condition"?: string[];
    "conclusion"?: string[];
};
//# sourceMappingURL=types.d.ts.map