export declare const root: {
    element: string;
    type: string;
};
export declare const ns: Map<string, string>;
export declare const subs: {
    "": {
        namedElement: string;
        informationRequirement: string;
        knowledgeRequirement: string;
        authorityRequirement: string;
        functionItem: string;
        artifact: string;
        contextEntry: string;
        definitions: string;
        import: string;
        elementCollection: string;
        drgElement: string;
        itemDefinition: string;
        informationItem: string;
        decision: string;
        invocable: string;
        inputData: string;
        knowledgeSource: string;
        performanceIndicator: string;
        organizationUnit: string;
        businessKnowledgeModel: string;
        decisionService: string;
        literalExpression: string;
        invocation: string;
        decisionTable: string;
        context: string;
        functionDefinition: string;
        relation: string;
        list: string;
        for: string;
        every: string;
        some: string;
        conditional: string;
        filter: string;
        group: string;
        textAnnotation: string;
        association: string;
    };
    "dmndi:": {
        "dmndi:DMNShape": string;
        "dmndi:DMNEdge": string;
        "dmndi:DMNStyle": string;
    };
    "dc:": {};
    "di:": {};
};
export declare const elements: {
    DMNElement: string;
    namedElement: string;
    definitions: string;
    import: string;
    elementCollection: string;
    drgElement: string;
    decision: string;
    businessContextElement: string;
    performanceIndicator: string;
    organizationUnit: string;
    invocable: string;
    businessKnowledgeModel: string;
    inputData: string;
    knowledgeSource: string;
    informationRequirement: string;
    knowledgeRequirement: string;
    authorityRequirement: string;
    expression: string;
    itemDefinition: string;
    functionItem: string;
    literalExpression: string;
    invocation: string;
    informationItem: string;
    decisionTable: string;
    artifact: string;
    group: string;
    textAnnotation: string;
    association: string;
    context: string;
    contextEntry: string;
    functionDefinition: string;
    relation: string;
    list: string;
    decisionService: string;
    for: string;
    every: string;
    some: string;
    conditional: string;
    filter: string;
    "dmndi:DMNDI": string;
    "dmndi:DMNDiagram": string;
    "dmndi:DMNDiagramElement": string;
    "dmndi:DMNShape": string;
    "dmndi:DMNEdge": string;
    "dmndi:DMNStyle": string;
    "dmndi:DMNLabel": string;
    "dmndi:DMNDecisionServiceDividerLine": string;
    "dc:Color": string;
    "dc:Point": string;
    "dc:Bounds": string;
    "dc:Dimension": string;
    "di:Style": string;
};
export declare const meta: {
    DMN15__tDMNElement__extensionElements: {};
    DMN15__tDMNElement: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tNamedElement__extensionElements: {};
    DMN15__tNamedElement: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tDMNElementReference: {
        "@_href": {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tDefinitions__extensionElements: {};
    DMN15__tDefinitions: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_exporter": {
            type: string;
            isArray: boolean;
        };
        "@_exporterVersion": {
            type: string;
            isArray: boolean;
        };
        import: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        drgElement: {
            type: string;
            isArray: boolean;
        };
        artifact: {
            type: string;
            isArray: boolean;
        };
        elementCollection: {
            type: string;
            isArray: boolean;
        };
        businessContextElement: {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNDI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tImport__extensionElements: {};
    DMN15__tImport: {
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        "@_importType": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tElementCollection__extensionElements: {};
    DMN15__tElementCollection: {
        drgElement: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tDRGElement__extensionElements: {};
    DMN15__tDRGElement: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tDecision__extensionElements: {};
    DMN15__tDecision: {
        question: {
            type: string;
            isArray: boolean;
        };
        allowedAnswers: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        informationRequirement: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        supportedObjective: {
            type: string;
            isArray: boolean;
        };
        impactedPerformanceIndicator: {
            type: string;
            isArray: boolean;
        };
        decisionMaker: {
            type: string;
            isArray: boolean;
        };
        decisionOwner: {
            type: string;
            isArray: boolean;
        };
        usingProcess: {
            type: string;
            isArray: boolean;
        };
        usingTask: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tBusinessContextElement__extensionElements: {};
    DMN15__tBusinessContextElement: {
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tPerformanceIndicator__extensionElements: {};
    DMN15__tPerformanceIndicator: {
        impactingDecision: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tOrganizationUnit__extensionElements: {};
    DMN15__tOrganizationUnit: {
        decisionMade: {
            type: string;
            isArray: boolean;
        };
        decisionOwned: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tInvocable__extensionElements: {};
    DMN15__tInvocable: {
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tBusinessKnowledgeModel__extensionElements: {};
    DMN15__tBusinessKnowledgeModel: {
        encapsulatedLogic: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tInputData__extensionElements: {};
    DMN15__tInputData: {
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tKnowledgeSource__extensionElements: {};
    DMN15__tKnowledgeSource: {
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        type: {
            type: string;
            isArray: boolean;
        };
        owner: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tInformationRequirement__extensionElements: {};
    DMN15__tInformationRequirement: {
        requiredDecision: {
            type: string;
            isArray: boolean;
        };
        requiredInput: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tKnowledgeRequirement__extensionElements: {};
    DMN15__tKnowledgeRequirement: {
        requiredKnowledge: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tAuthorityRequirement__extensionElements: {};
    DMN15__tAuthorityRequirement: {
        requiredDecision: {
            type: string;
            isArray: boolean;
        };
        requiredInput: {
            type: string;
            isArray: boolean;
        };
        requiredAuthority: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tExpression__extensionElements: {};
    DMN15__tExpression: {
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tItemDefinition__extensionElements: {};
    DMN15__tItemDefinition: {
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_isCollection": {
            type: string;
            isArray: boolean;
        };
        itemComponent: {
            type: string;
            isArray: boolean;
        };
        functionItem: {
            type: string;
            isArray: boolean;
        };
        typeRef: {
            type: string;
            isArray: boolean;
        };
        allowedValues: {
            type: string;
            isArray: boolean;
        };
        typeConstraint: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tFunctionItem__extensionElements: {};
    DMN15__tFunctionItem: {
        "@_outputTypeRef": {
            type: string;
            isArray: boolean;
        };
        parameters: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tLiteralExpression__extensionElements: {};
    DMN15__tLiteralExpression: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        importedValues: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tInvocation__extensionElements: {};
    DMN15__tInvocation: {
        expression: {
            type: string;
            isArray: boolean;
        };
        binding: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tBinding: {
        parameter: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tInformationItem__extensionElements: {};
    DMN15__tInformationItem: {
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tDecisionTable__extensionElements: {};
    DMN15__tDecisionTable: {
        "@_hitPolicy": {
            type: string;
            isArray: boolean;
        };
        "@_aggregation": {
            type: string;
            isArray: boolean;
        };
        "@_preferredOrientation": {
            type: string;
            isArray: boolean;
        };
        "@_outputLabel": {
            type: string;
            isArray: boolean;
        };
        input: {
            type: string;
            isArray: boolean;
        };
        output: {
            type: string;
            isArray: boolean;
        };
        annotation: {
            type: string;
            isArray: boolean;
        };
        rule: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tInputClause__extensionElements: {};
    DMN15__tInputClause: {
        inputExpression: {
            type: string;
            isArray: boolean;
        };
        inputValues: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tOutputClause__extensionElements: {};
    DMN15__tOutputClause: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        outputValues: {
            type: string;
            isArray: boolean;
        };
        defaultOutputEntry: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tRuleAnnotationClause: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tDecisionRule__extensionElements: {};
    DMN15__tDecisionRule: {
        inputEntry: {
            type: string;
            isArray: boolean;
        };
        outputEntry: {
            type: string;
            isArray: boolean;
        };
        annotationEntry: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tRuleAnnotation: {
        text: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tImportedValues__extensionElements: {};
    DMN15__tImportedValues: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        importedElement: {
            type: string;
            isArray: boolean;
        };
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        "@_importType": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tArtifact__extensionElements: {};
    DMN15__tArtifact: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tGroup__extensionElements: {};
    DMN15__tGroup: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tTextAnnotation__extensionElements: {};
    DMN15__tTextAnnotation: {
        "@_textFormat": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tAssociation__extensionElements: {};
    DMN15__tAssociation: {
        "@_associationDirection": {
            type: string;
            isArray: boolean;
        };
        sourceRef: {
            type: string;
            isArray: boolean;
        };
        targetRef: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tContext__extensionElements: {};
    DMN15__tContext: {
        contextEntry: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tContextEntry__extensionElements: {};
    DMN15__tContextEntry: {
        variable: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tFunctionDefinition__extensionElements: {};
    DMN15__tFunctionDefinition: {
        "@_kind": {
            type: string;
            isArray: boolean;
        };
        formalParameter: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tRelation__extensionElements: {};
    DMN15__tRelation: {
        column: {
            type: string;
            isArray: boolean;
        };
        row: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tList__extensionElements: {};
    DMN15__tList: {
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tUnaryTests__extensionElements: {};
    DMN15__tUnaryTests: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tDecisionService__extensionElements: {};
    DMN15__tDecisionService: {
        outputDecision: {
            type: string;
            isArray: boolean;
        };
        encapsulatedDecision: {
            type: string;
            isArray: boolean;
        };
        inputDecision: {
            type: string;
            isArray: boolean;
        };
        inputData: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tChildExpression: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tTypedChildExpression: {
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tIterator__extensionElements: {};
    DMN15__tIterator: {
        "@_iteratorVariable": {
            type: string;
            isArray: boolean;
        };
        in: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tFor__extensionElements: {};
    DMN15__tFor: {
        return: {
            type: string;
            isArray: boolean;
        };
        "@_iteratorVariable": {
            type: string;
            isArray: boolean;
        };
        in: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tQuantified__extensionElements: {};
    DMN15__tQuantified: {
        satisfies: {
            type: string;
            isArray: boolean;
        };
        "@_iteratorVariable": {
            type: string;
            isArray: boolean;
        };
        in: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tConditional__extensionElements: {};
    DMN15__tConditional: {
        if: {
            type: string;
            isArray: boolean;
        };
        then: {
            type: string;
            isArray: boolean;
        };
        else: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN15__tFilter__extensionElements: {};
    DMN15__tFilter: {
        in: {
            type: string;
            isArray: boolean;
        };
        match: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI15__DMNDI: {
        "dmndi:DMNDiagram": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNStyle": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI15__DMNDiagram__extension: {};
    DMNDI15__DMNDiagram: {
        "@_useAlternativeInputDataShape": {
            type: string;
            isArray: boolean;
        };
        "dmndi:Size": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNDiagramElement": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_documentation": {
            type: string;
            isArray: boolean;
        };
        "@_resolution": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI15__DMNShape__extension: {};
    DMNDI15__DMNShape: {
        "@_dmnElementRef": {
            type: string;
            isArray: boolean;
        };
        "@_isListedInputData": {
            type: string;
            isArray: boolean;
        };
        "@_isCollapsed": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNLabel": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNDecisionServiceDividerLine": {
            type: string;
            isArray: boolean;
        };
        "dc:Bounds": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI15__DMNDecisionServiceDividerLine__extension: {};
    DMNDI15__DMNDecisionServiceDividerLine: {
        "di:waypoint": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI15__DMNEdge__extension: {};
    DMNDI15__DMNEdge: {
        "@_dmnElementRef": {
            type: string;
            isArray: boolean;
        };
        "@_sourceElement": {
            type: string;
            isArray: boolean;
        };
        "@_targetElement": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNLabel": {
            type: string;
            isArray: boolean;
        };
        "di:waypoint": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI15__DMNLabel__extension: {};
    DMNDI15__DMNLabel: {
        "dmndi:Text": {
            type: string;
            isArray: boolean;
        };
        "dc:Bounds": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI15__DMNStyle__extension: {};
    DMNDI15__DMNStyle: {
        "@_fontFamily": {
            type: string;
            isArray: boolean;
        };
        "@_fontSize": {
            type: string;
            isArray: boolean;
        };
        "@_fontItalic": {
            type: string;
            isArray: boolean;
        };
        "@_fontBold": {
            type: string;
            isArray: boolean;
        };
        "@_fontUnderline": {
            type: string;
            isArray: boolean;
        };
        "@_fontStrikeThrough": {
            type: string;
            isArray: boolean;
        };
        "@_labelHorizontalAlignement": {
            type: string;
            isArray: boolean;
        };
        "@_labelVerticalAlignment": {
            type: string;
            isArray: boolean;
        };
        "dmndi:FillColor": {
            type: string;
            isArray: boolean;
        };
        "dmndi:StrokeColor": {
            type: string;
            isArray: boolean;
        };
        "dmndi:FontColor": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Color: {
        "@_red": {
            type: string;
            isArray: boolean;
        };
        "@_green": {
            type: string;
            isArray: boolean;
        };
        "@_blue": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Point: {
        "@_x": {
            type: string;
            isArray: boolean;
        };
        "@_y": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Dimension: {
        "@_width": {
            type: string;
            isArray: boolean;
        };
        "@_height": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Bounds: {
        "@_x": {
            type: string;
            isArray: boolean;
        };
        "@_y": {
            type: string;
            isArray: boolean;
        };
        "@_width": {
            type: string;
            isArray: boolean;
        };
        "@_height": {
            type: string;
            isArray: boolean;
        };
    };
    DI__DiagramElement__extension: {};
    DI__Diagram__extension: {};
    DI__Shape__extension: {};
    DI__Edge__extension: {};
    DI__Style__extension: {};
};
//# sourceMappingURL=meta.d.ts.map