import { XmlParserTsRootElementBaseType } from "@kie-tools/xml-parser-ts";
export declare type DMN15__tHitPolicy = 'UNIQUE' | 'FIRST' | 'PRIORITY' | 'ANY' | 'COLLECT' | 'RULE ORDER' | 'OUTPUT ORDER';
export declare type DMN15__tBuiltinAggregator = 'SUM' | 'COUNT' | 'MIN' | 'MAX';
export declare type DMN15__tDecisionTableOrientation = 'Rule-as-Row' | 'Rule-as-Column' | 'CrossTable';
export declare type DMN15__tAssociationDirection = 'None' | 'One' | 'Both';
export declare type DMN15__tFunctionKind = 'FEEL' | 'Java' | 'PMML';
export declare type DC__AlignmentKind = 'start' | 'end' | 'center';
export declare type DC__KnownColor = 'maroon' | 'red' | 'orange' | 'yellow' | 'olive' | 'purple' | 'fuchsia' | 'white' | 'lime' | 'green' | 'navy' | 'blue' | 'aqua' | 'teal' | 'black' | 'silver' | 'gray';
export interface DMN15__tDMNElement {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tDMNElement__extensionElements;
}
export interface DMN15__tDMNElement__extensionElements {
    __?: undefined;
}
export interface DMN15__tNamedElement {
    __?: undefined;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tNamedElement__extensionElements;
}
export interface DMN15__tNamedElement__extensionElements {
    __?: undefined;
}
export declare type DMN15__tDMNElementReference = {
    "@_href": string;
};
export interface DMN15__tDefinitions extends XmlParserTsRootElementBaseType {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "@_typeLanguage"?: string;
    "@_namespace": string;
    "@_exporter"?: string;
    "@_exporterVersion"?: string;
    "import"?: DMN15__tImport[];
    "itemDefinition"?: DMN15__tItemDefinition[];
    "drgElement"?: (({
        __$$element: "decision";
    } & DMN15__tDecision) | ({
        __$$element: "businessKnowledgeModel";
    } & DMN15__tBusinessKnowledgeModel) | ({
        __$$element: "decisionService";
    } & DMN15__tDecisionService) | ({
        __$$element: "inputData";
    } & DMN15__tInputData) | ({
        __$$element: "knowledgeSource";
    } & DMN15__tKnowledgeSource))[];
    "artifact"?: (({
        __$$element: "group";
    } & DMN15__tGroup) | ({
        __$$element: "textAnnotation";
    } & DMN15__tTextAnnotation) | ({
        __$$element: "association";
    } & DMN15__tAssociation))[];
    "elementCollection"?: DMN15__tElementCollection[];
    "businessContextElement"?: (({
        __$$element: "performanceIndicator";
    } & DMN15__tPerformanceIndicator) | ({
        __$$element: "organizationUnit";
    } & DMN15__tOrganizationUnit))[];
    "dmndi:DMNDI"?: DMNDI15__DMNDI;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tDefinitions__extensionElements;
}
export interface DMN15__tDefinitions__extensionElements {
    __?: undefined;
}
export interface DMN15__tImport {
    __?: undefined;
    "@_namespace": string;
    "@_locationURI"?: string;
    "@_importType": string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tImport__extensionElements;
}
export interface DMN15__tImport__extensionElements {
    __?: undefined;
}
export interface DMN15__tElementCollection {
    __?: undefined;
    "drgElement"?: DMN15__tDMNElementReference[];
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tElementCollection__extensionElements;
}
export interface DMN15__tElementCollection__extensionElements {
    __?: undefined;
}
export interface DMN15__tDRGElement {
    __?: undefined;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tDRGElement__extensionElements;
}
export interface DMN15__tDRGElement__extensionElements {
    __?: undefined;
}
export interface DMN15__tDecision {
    __?: undefined;
    "question"?: string;
    "allowedAnswers"?: string;
    "variable"?: DMN15__tInformationItem;
    "informationRequirement"?: DMN15__tInformationRequirement[];
    "knowledgeRequirement"?: DMN15__tKnowledgeRequirement[];
    "authorityRequirement"?: DMN15__tAuthorityRequirement[];
    "supportedObjective"?: DMN15__tDMNElementReference[];
    "impactedPerformanceIndicator"?: DMN15__tDMNElementReference[];
    "decisionMaker"?: DMN15__tDMNElementReference[];
    "decisionOwner"?: DMN15__tDMNElementReference[];
    "usingProcess"?: DMN15__tDMNElementReference[];
    "usingTask"?: DMN15__tDMNElementReference[];
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter));
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tDecision__extensionElements;
}
export interface DMN15__tDecision__extensionElements {
    __?: undefined;
}
export interface DMN15__tBusinessContextElement {
    __?: undefined;
    "@_URI"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tBusinessContextElement__extensionElements;
}
export interface DMN15__tBusinessContextElement__extensionElements {
    __?: undefined;
}
export interface DMN15__tPerformanceIndicator {
    __?: undefined;
    "impactingDecision"?: DMN15__tDMNElementReference[];
    "@_URI"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tPerformanceIndicator__extensionElements;
}
export interface DMN15__tPerformanceIndicator__extensionElements {
    __?: undefined;
}
export interface DMN15__tOrganizationUnit {
    __?: undefined;
    "decisionMade"?: DMN15__tDMNElementReference[];
    "decisionOwned"?: DMN15__tDMNElementReference[];
    "@_URI"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tOrganizationUnit__extensionElements;
}
export interface DMN15__tOrganizationUnit__extensionElements {
    __?: undefined;
}
export interface DMN15__tInvocable {
    __?: undefined;
    "variable"?: DMN15__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tInvocable__extensionElements;
}
export interface DMN15__tInvocable__extensionElements {
    __?: undefined;
}
export interface DMN15__tBusinessKnowledgeModel {
    __?: undefined;
    "encapsulatedLogic"?: DMN15__tFunctionDefinition;
    "knowledgeRequirement"?: DMN15__tKnowledgeRequirement[];
    "authorityRequirement"?: DMN15__tAuthorityRequirement[];
    "variable"?: DMN15__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tBusinessKnowledgeModel__extensionElements;
}
export interface DMN15__tBusinessKnowledgeModel__extensionElements {
    __?: undefined;
}
export interface DMN15__tInputData {
    __?: undefined;
    "variable"?: DMN15__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tInputData__extensionElements;
}
export interface DMN15__tInputData__extensionElements {
    __?: undefined;
}
export interface DMN15__tKnowledgeSource {
    __?: undefined;
    "@_locationURI"?: string;
    "authorityRequirement"?: DMN15__tAuthorityRequirement[];
    "type"?: string;
    "owner"?: DMN15__tDMNElementReference;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tKnowledgeSource__extensionElements;
}
export interface DMN15__tKnowledgeSource__extensionElements {
    __?: undefined;
}
export interface DMN15__tInformationRequirement {
    __?: undefined;
    "requiredDecision"?: DMN15__tDMNElementReference;
    "requiredInput"?: DMN15__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tInformationRequirement__extensionElements;
}
export interface DMN15__tInformationRequirement__extensionElements {
    __?: undefined;
}
export interface DMN15__tKnowledgeRequirement {
    __?: undefined;
    "requiredKnowledge": DMN15__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tKnowledgeRequirement__extensionElements;
}
export interface DMN15__tKnowledgeRequirement__extensionElements {
    __?: undefined;
}
export interface DMN15__tAuthorityRequirement {
    __?: undefined;
    "requiredDecision"?: DMN15__tDMNElementReference;
    "requiredInput"?: DMN15__tDMNElementReference;
    "requiredAuthority"?: DMN15__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tAuthorityRequirement__extensionElements;
}
export interface DMN15__tAuthorityRequirement__extensionElements {
    __?: undefined;
}
export interface DMN15__tExpression {
    __?: undefined;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tExpression__extensionElements;
}
export interface DMN15__tExpression__extensionElements {
    __?: undefined;
}
export interface DMN15__tItemDefinition {
    __?: undefined;
    "@_typeLanguage"?: string;
    "@_isCollection"?: boolean;
    "itemComponent"?: DMN15__tItemDefinition[];
    "functionItem"?: DMN15__tFunctionItem;
    "typeRef"?: string;
    "allowedValues"?: DMN15__tUnaryTests;
    "typeConstraint"?: DMN15__tUnaryTests;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tItemDefinition__extensionElements;
}
export interface DMN15__tItemDefinition__extensionElements {
    __?: undefined;
}
export interface DMN15__tFunctionItem {
    __?: undefined;
    "@_outputTypeRef"?: string;
    "parameters"?: DMN15__tInformationItem[];
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tFunctionItem__extensionElements;
}
export interface DMN15__tFunctionItem__extensionElements {
    __?: undefined;
}
export interface DMN15__tLiteralExpression {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "text"?: string;
    "importedValues"?: DMN15__tImportedValues;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tLiteralExpression__extensionElements;
}
export interface DMN15__tLiteralExpression__extensionElements {
    __?: undefined;
}
export interface DMN15__tInvocation {
    __?: undefined;
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter));
    "binding"?: DMN15__tBinding[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tInvocation__extensionElements;
}
export interface DMN15__tInvocation__extensionElements {
    __?: undefined;
}
export declare type DMN15__tBinding = {
    "parameter": DMN15__tInformationItem;
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter));
};
export interface DMN15__tInformationItem {
    __?: undefined;
    "@_typeRef"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tInformationItem__extensionElements;
}
export interface DMN15__tInformationItem__extensionElements {
    __?: undefined;
}
export interface DMN15__tDecisionTable {
    __?: undefined;
    "@_hitPolicy"?: DMN15__tHitPolicy;
    "@_aggregation"?: DMN15__tBuiltinAggregator;
    "@_preferredOrientation"?: DMN15__tDecisionTableOrientation;
    "@_outputLabel"?: string;
    "input"?: DMN15__tInputClause[];
    "output": DMN15__tOutputClause[];
    "annotation"?: DMN15__tRuleAnnotationClause[];
    "rule"?: DMN15__tDecisionRule[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tDecisionTable__extensionElements;
}
export interface DMN15__tDecisionTable__extensionElements {
    __?: undefined;
}
export interface DMN15__tInputClause {
    __?: undefined;
    "inputExpression": DMN15__tLiteralExpression;
    "inputValues"?: DMN15__tUnaryTests;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tInputClause__extensionElements;
}
export interface DMN15__tInputClause__extensionElements {
    __?: undefined;
}
export interface DMN15__tOutputClause {
    __?: undefined;
    "@_name"?: string;
    "@_typeRef"?: string;
    "outputValues"?: DMN15__tUnaryTests;
    "defaultOutputEntry"?: DMN15__tLiteralExpression;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tOutputClause__extensionElements;
}
export interface DMN15__tOutputClause__extensionElements {
    __?: undefined;
}
export declare type DMN15__tRuleAnnotationClause = {
    "@_name"?: string;
};
export interface DMN15__tDecisionRule {
    __?: undefined;
    "inputEntry"?: DMN15__tUnaryTests[];
    "outputEntry": DMN15__tLiteralExpression[];
    "annotationEntry"?: DMN15__tRuleAnnotation[];
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tDecisionRule__extensionElements;
}
export interface DMN15__tDecisionRule__extensionElements {
    __?: undefined;
}
export declare type DMN15__tRuleAnnotation = {
    "text"?: string;
};
export interface DMN15__tImportedValues {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "importedElement": string;
    "@_namespace": string;
    "@_locationURI"?: string;
    "@_importType": string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tImportedValues__extensionElements;
}
export interface DMN15__tImportedValues__extensionElements {
    __?: undefined;
}
export interface DMN15__tArtifact {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tArtifact__extensionElements;
}
export interface DMN15__tArtifact__extensionElements {
    __?: undefined;
}
export interface DMN15__tGroup {
    __?: undefined;
    "@_name"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tGroup__extensionElements;
}
export interface DMN15__tGroup__extensionElements {
    __?: undefined;
}
export interface DMN15__tTextAnnotation {
    __?: undefined;
    "@_textFormat"?: string;
    "text"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tTextAnnotation__extensionElements;
}
export interface DMN15__tTextAnnotation__extensionElements {
    __?: undefined;
}
export interface DMN15__tAssociation {
    __?: undefined;
    "@_associationDirection"?: DMN15__tAssociationDirection;
    "sourceRef": DMN15__tDMNElementReference;
    "targetRef": DMN15__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tAssociation__extensionElements;
}
export interface DMN15__tAssociation__extensionElements {
    __?: undefined;
}
export interface DMN15__tContext {
    __?: undefined;
    "contextEntry"?: DMN15__tContextEntry[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tContext__extensionElements;
}
export interface DMN15__tContext__extensionElements {
    __?: undefined;
}
export interface DMN15__tContextEntry {
    __?: undefined;
    "variable"?: DMN15__tInformationItem;
    "expression": (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter));
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tContextEntry__extensionElements;
}
export interface DMN15__tContextEntry__extensionElements {
    __?: undefined;
}
export interface DMN15__tFunctionDefinition {
    __?: undefined;
    "@_kind"?: DMN15__tFunctionKind;
    "formalParameter"?: DMN15__tInformationItem[];
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter));
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tFunctionDefinition__extensionElements;
}
export interface DMN15__tFunctionDefinition__extensionElements {
    __?: undefined;
}
export interface DMN15__tRelation {
    __?: undefined;
    "column"?: DMN15__tInformationItem[];
    "row"?: DMN15__tList[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tRelation__extensionElements;
}
export interface DMN15__tRelation__extensionElements {
    __?: undefined;
}
export interface DMN15__tList {
    __?: undefined;
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter))[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tList__extensionElements;
}
export interface DMN15__tList__extensionElements {
    __?: undefined;
}
export interface DMN15__tUnaryTests {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "text": string;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tUnaryTests__extensionElements;
}
export interface DMN15__tUnaryTests__extensionElements {
    __?: undefined;
}
export interface DMN15__tDecisionService {
    __?: undefined;
    "outputDecision"?: DMN15__tDMNElementReference[];
    "encapsulatedDecision"?: DMN15__tDMNElementReference[];
    "inputDecision"?: DMN15__tDMNElementReference[];
    "inputData"?: DMN15__tDMNElementReference[];
    "variable"?: DMN15__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tDecisionService__extensionElements;
}
export interface DMN15__tDecisionService__extensionElements {
    __?: undefined;
}
export declare type DMN15__tChildExpression = {
    "@_id"?: string;
    "expression": (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter));
};
export declare type DMN15__tTypedChildExpression = {
    "@_typeRef"?: string;
    "@_id"?: string;
    "expression": (({
        __$$element: "literalExpression";
    } & DMN15__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN15__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN15__tDecisionTable) | ({
        __$$element: "context";
    } & DMN15__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN15__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN15__tRelation) | ({
        __$$element: "list";
    } & DMN15__tList) | ({
        __$$element: "for";
    } & DMN15__tFor) | ({
        __$$element: "every";
    } & DMN15__tQuantified) | ({
        __$$element: "some";
    } & DMN15__tQuantified) | ({
        __$$element: "conditional";
    } & DMN15__tConditional) | ({
        __$$element: "filter";
    } & DMN15__tFilter));
};
export interface DMN15__tIterator {
    __?: undefined;
    "@_iteratorVariable"?: string;
    "in": DMN15__tTypedChildExpression;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tIterator__extensionElements;
}
export interface DMN15__tIterator__extensionElements {
    __?: undefined;
}
export interface DMN15__tFor {
    __?: undefined;
    "return": DMN15__tChildExpression;
    "@_iteratorVariable"?: string;
    "in": DMN15__tTypedChildExpression;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tFor__extensionElements;
}
export interface DMN15__tFor__extensionElements {
    __?: undefined;
}
export interface DMN15__tQuantified {
    __?: undefined;
    "satisfies": DMN15__tChildExpression;
    "@_iteratorVariable"?: string;
    "in": DMN15__tTypedChildExpression;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tQuantified__extensionElements;
}
export interface DMN15__tQuantified__extensionElements {
    __?: undefined;
}
export interface DMN15__tConditional {
    __?: undefined;
    "if": DMN15__tChildExpression;
    "then": DMN15__tChildExpression;
    "else": DMN15__tChildExpression;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tConditional__extensionElements;
}
export interface DMN15__tConditional__extensionElements {
    __?: undefined;
}
export interface DMN15__tFilter {
    __?: undefined;
    "in": DMN15__tChildExpression;
    "match": DMN15__tChildExpression;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN15__tFilter__extensionElements;
}
export interface DMN15__tFilter__extensionElements {
    __?: undefined;
}
export declare type DMNDI15__DMNDI = {
    "dmndi:DMNDiagram"?: DMNDI15__DMNDiagram[];
    "dmndi:DMNStyle"?: DMNDI15__DMNStyle[];
};
export interface DMNDI15__DMNDiagram {
    __?: undefined;
    "@_useAlternativeInputDataShape"?: boolean;
    "dmndi:Size"?: DC__Dimension;
    "dmndi:DMNDiagramElement"?: (({
        __$$element: "dmndi:DMNShape";
    } & DMNDI15__DMNShape) | ({
        __$$element: "dmndi:DMNEdge";
    } & DMNDI15__DMNEdge))[];
    "@_name"?: string;
    "@_documentation"?: string;
    "@_resolution"?: number;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI15__DMNDiagram__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI15__DMNStyle));
}
export interface DMNDI15__DMNDiagram__extension {
    __?: undefined;
}
export interface DMNDI15__DMNShape {
    __?: undefined;
    "@_dmnElementRef": string;
    "@_isListedInputData"?: boolean;
    "@_isCollapsed"?: boolean;
    "dmndi:DMNLabel"?: DMNDI15__DMNLabel;
    "dmndi:DMNDecisionServiceDividerLine"?: DMNDI15__DMNDecisionServiceDividerLine;
    "dc:Bounds"?: DC__Bounds;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI15__DMNShape__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI15__DMNStyle));
}
export interface DMNDI15__DMNShape__extension {
    __?: undefined;
}
export interface DMNDI15__DMNDecisionServiceDividerLine {
    __?: undefined;
    "di:waypoint"?: DC__Point[];
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI15__DMNDecisionServiceDividerLine__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI15__DMNStyle));
}
export interface DMNDI15__DMNDecisionServiceDividerLine__extension {
    __?: undefined;
}
export interface DMNDI15__DMNEdge {
    __?: undefined;
    "@_dmnElementRef": string;
    "@_sourceElement"?: string;
    "@_targetElement"?: string;
    "dmndi:DMNLabel"?: DMNDI15__DMNLabel;
    "di:waypoint"?: DC__Point[];
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI15__DMNEdge__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI15__DMNStyle));
}
export interface DMNDI15__DMNEdge__extension {
    __?: undefined;
}
export interface DMNDI15__DMNLabel {
    __?: undefined;
    "dmndi:Text"?: string;
    "dc:Bounds"?: DC__Bounds;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI15__DMNLabel__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI15__DMNStyle));
}
export interface DMNDI15__DMNLabel__extension {
    __?: undefined;
}
export interface DMNDI15__DMNStyle {
    __?: undefined;
    "@_fontFamily"?: string;
    "@_fontSize"?: number;
    "@_fontItalic"?: boolean;
    "@_fontBold"?: boolean;
    "@_fontUnderline"?: boolean;
    "@_fontStrikeThrough"?: boolean;
    "@_labelHorizontalAlignement"?: DC__AlignmentKind;
    "@_labelVerticalAlignment"?: DC__AlignmentKind;
    "dmndi:FillColor"?: DC__Color;
    "dmndi:StrokeColor"?: DC__Color;
    "dmndi:FontColor"?: DC__Color;
    "@_id"?: string;
    "di:extension"?: DMNDI15__DMNStyle__extension;
}
export interface DMNDI15__DMNStyle__extension {
    __?: undefined;
}
export declare type DC__Color = {
    "@_red": number;
    "@_green": number;
    "@_blue": number;
};
export declare type DC__Point = {
    "@_x": number;
    "@_y": number;
};
export declare type DC__Dimension = {
    "@_width": number;
    "@_height": number;
};
export declare type DC__Bounds = {
    "@_x": number;
    "@_y": number;
    "@_width": number;
    "@_height": number;
};
export interface DI__DiagramElement {
    __?: undefined;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__DiagramElement__extension;
    "di:Style"?: DI__Style;
}
export interface DI__DiagramElement__extension {
    __?: undefined;
}
export interface DI__Diagram {
    __?: undefined;
    "@_name"?: string;
    "@_documentation"?: string;
    "@_resolution"?: number;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__Diagram__extension;
    "di:Style"?: DI__Style;
}
export interface DI__Diagram__extension {
    __?: undefined;
}
export interface DI__Shape {
    __?: undefined;
    "dc:Bounds"?: DC__Bounds;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__Shape__extension;
    "di:Style"?: DI__Style;
}
export interface DI__Shape__extension {
    __?: undefined;
}
export interface DI__Edge {
    __?: undefined;
    "di:waypoint"?: DC__Point[];
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__Edge__extension;
    "di:Style"?: DI__Style;
}
export interface DI__Edge__extension {
    __?: undefined;
}
export interface DI__Style {
    __?: undefined;
    "@_id"?: string;
    "di:extension"?: DI__Style__extension;
}
export interface DI__Style__extension {
    __?: undefined;
}
//# sourceMappingURL=types.d.ts.map